<?php
require '../conexao/conexao.php';
require '../sessao.php';

//die(var_dump($_SESSION['filtrospf']));

$codigo_produto = $_POST['codigo_produtof'] ?? null;
$produto = $_POST['produtof'] ?? null;
$tipo = $_POST['tipof'] ?? null;
$fornecedor = $_POST['fornecedorf'] ?? null;
$situacaoSelecionado = $_POST['situacaof'] ?? null;

// Construir a string de consulta
$query_string = http_build_query([
    'codigo_produto' => $codigo_produto,
    'produto' => $produto,
    'fornecedor' => $fornecedor,
    'tipo' => $tipo,
    'situacao' => $situacaoSelecionado,
    'form_submitted' => 1 // Supondo que você ainda precise disso
]);
// Verificar se há metas a serem excluídas


$id_produtos_falta = $_POST['id_produtos_falta'] ?? null;
$cod_produto = $_POST['cod_produto'] ?? null; // Adicionado
$nome_produto = $_POST['nome_produto'] ?? null;
$situacao = $_POST['situacao'] ?? null;
$previsao = $_POST['previsao'] ?? null;
$observacao = $_POST['observacao'] ?? null;
$tipo = $_POST['tipo'] ?? null;
$cidade = $_POST['cidade'] ?? null;
$fornecedor = $_POST['fornecedor'] ?? null;
$quarentena = $_POST['quarentena'] ?? null;

if (is_null($id_produtos_falta) || $id_produtos_falta == 0) {
    // Código de inserção

    // Insere os dados na tabela produtos_falta
    $stmt_insercao = $connectionmysql->prepare("INSERT INTO produtos_falta (cod_produto, nome_produto, situacao, previsao, observacao, data_cadastro, tipo, cidade, fornecedor,quarentena) VALUES (?, ?, ?, ?, ?, CURDATE(), ?, ?, ?,?)");

    // Bind dos parâmetros
    $stmt_insercao->bind_param("issssssss", $cod_produto, $nome_produto, $situacao, $previsao, $observacao, $tipo, $cidade, $fornecedor, $quarentena);

    // Executa a inserção
    $stmt_insercao->execute();

    // Verifica se a inserção foi bem-sucedida
    if ($stmt_insercao->affected_rows > 0) {
        $location = './index.php?status=sucesso&' . $query_string;
        header("Location: $location");
        exit();
    } else {
        echo "Erro ao inserir os dados.";
    }

    // Fecha a instrução de inserção
    $stmt_insercao->close();
} else {
    // Código de update

    // Atualiza os dados na tabela produtos_falta
    $stmt_update = $connectionmysql->prepare("UPDATE produtos_falta SET cod_produto=?, nome_produto=?, situacao=?, previsao=?, observacao=?, tipo=?, cidade=?, fornecedor=? , quarentena=? WHERE id_produtos_falta=?");

    // Bind dos parâmetros
    $stmt_update->bind_param("issssssssi", $cod_produto, $nome_produto, $situacao, $previsao, $observacao, $tipo, $cidade, $fornecedor, $quarentena, $id_produtos_falta);

    // Executa a atualização
    $stmt_update->execute();

    // Verifica se a atualização foi bem-sucedida
    if ($stmt_update->affected_rows > 0) {
        $location = './index.php?status=sucesso&' . $query_string;
        header("Location: $location");
        exit();
    } else {
        $location = './index.php?status=sucesso&' . $query_string;
        header("Location: $location");
        exit();
    }

    // Fecha a instrução de update
    $stmt_update->close();
}

// Fecha a conexão com o banco de dados
$connectionmysql->close();
